
# norootforbuild

%define pkg_name    rpmreader
%define pkg_version 0.4
%define php_version %(php-config --version 2>/dev/null)
#
Name: php5-%{pkg_name}
Version: %{pkg_version}
Release: 3.3
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: php5-devel
Requires: php5 = %{php_version}
#
URL: http://pecl.php.net/
Source: http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Summary: RPM file meta information reader

%description

rpmreader is an extension that provides the ability to
read RedHat Package Manager (RPM) files' header information. This
extension currently does not provide the functionality to read the
signature or archive sections of the RPM file.
		
	
Authors:
---------

Andrew Teixeira

%prep

%setup -n %{pkg_name}-%{version}
#make sure the extension understands lib64, most dont.
%{__sed} -i -e 's@/lib@/$PHP_LIBDIR@g' config.m4

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags}"
CXXFLAGS="%{optflags}"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS
export LDFLAGS="-Wl,--as-needed"


../configure --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}

popd

%install

%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d

echo "; comment out next line to disable %{pkg_name} extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/%{pkg_name}.ini
echo "extension = %{pkg_name}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/%{pkg_name}.ini


%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/%{pkg_name}.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/%{pkg_name}.ini

%doc CREDITS LICENSE examples

%changelog
